Package com.sun.mirror.declaration

## Interface ExecutableDeclaration

All Superinterfaces:
  `Declaration`, `MemberDeclaration`

All Known Subinterfaces:
  `AnnotationTypeElementDeclaration`, `ConstructorDeclaration`, `MethodDeclaration`

    public interface ExecutableDeclaration
    extends MemberDeclaration

Represents a method or constructor of a class or interface.

Since:
  1.5

### Method Summary

All Methods Instance Methods Abstract Methods
`Collection<TypeParameterDeclaration>` `getFormalTypeParameters()` Returns the formal type parameters of this method or constructor.
`Collection<ParameterDeclaration>` `getParameters()` Returns the formal parameters of this method or constructor.
`Collection<ReferenceType>` `getThrownTypes()` Returns the exceptions and other throwables listed in this method or constructor's `throws` clause.
`boolean` `isVarArgs()` Returns `true` if this method or constructor accepts a variable number of arguments.

### Methods inherited from interface com.sun.mirror.declaration.Declaration

`accept, equals, getAnnotation, getAnnotationMirrors, getDocComment, getModifiers, getPosition, getSimpleName`

### Methods inherited from interface com.sun.mirror.declaration.MemberDeclaration

`getDeclaringType`

### Method Detail

#### isVarArgs

    boolean isVarArgs()

Returns `true` if this method or constructor accepts a variable number of arguments.

Returns:
  `true` if this method or constructor accepts a variable number of arguments

#### getFormalTypeParameters

    Collection<TypeParameterDeclaration> getFormalTypeParameters()

Returns the formal type parameters of this method or constructor. They are returned in declaration order.

Returns:
  the formal type parameters of this method or constructor, or an empty collection if there are none

#### getParameters

    Collection<ParameterDeclaration> getParameters()

Returns the formal parameters of this method or constructor. They are returned in declaration order.

Returns:
  the formal parameters of this method or constructor, or an empty collection if there are none

#### getThrownTypes

    Collection<ReferenceType> getThrownTypes()

Returns the exceptions and other throwables listed in this method or constructor's `throws` clause.

Returns:
  the exceptions and other throwables listed in the `throws` clause, or an empty collection if there are none